#
# spec file for package flashrom
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           flashrom
Url:            http://coreboot.org/
Summary:        A universal flash programming utility
Version:        0.9.4
Release:        1.2
License:        GPL v2 only; GPL v2 or later
Group:          Development/Tools/Other
Source0:        flashrom-%{version}.tar.bz2
Source23:	update-snapshots.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pciutils-devel zlib-devel
BuildRequires:  libftdi1 libftdi1-devel
%if 0%{?suse_version} <= 1110
Requires:       pmtools
%else
Requires:       dmidecode
%endif
ExclusiveArch:  %ix86 x86_64

%description
flashrom is a utility for reading, writing, verifying and erasing flash ROM
chips. It's often used to flash BIOS/EFI/coreboot/firmware images in-system
using a supported mainboard, but it also supports flashing of network
cards (NICs), SATA controller cards, and other external devices which can
program flash chips.

It supports a wide range of DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32, and
TSOP40 chips, which use various protocols such as LPC, FWH, parallel flash,
or SPI.

Authors:
--------
    Carl-Daniel Hailfinger
    Claus Gindhart <claus.gindhart@kontron.com>
    Dominik Geyer <dominik.geyer@kontron.com>
    Eric Biederman <ebiederman@lnxi.com>
    Giampiero Giancipoli <gianci@email.it>
    Joe Bao <Zheng.Bao@amd.com>
    Luc Verhaegen <libv@skynet.be>
    Li-Ta Lo
    Markus Boas <ryven@ryven.de>
    Nikolay Petukhov <nikolay.petukhov@gmail.com>
    Peter Stuge <peter@stuge.se>
    Reinder E.N. de Haan <lb_reha@mveas.com>
    Ronald G. Minnich <rminnich@gmail.com>
    Ronald Hoogenboom <ronald@zonnet.nl>
    Stefan Reinauer <stepan@coresystems.de>
    Stefan Wildemann <stefan.wildemann@kontron.com>
    Steven James <pyro@linuxlabs.com>
    Uwe Hermann <uwe@hermann-uwe.de>
    Wang Qingpei <Qingpei.Wang@amd.com>
    Yinghai Lu <yinghai.lu@amd.com>
    David S. Peterson <dsp@llnl.gov> <dave_peterson@pobox.com>
    some others

%prep
%setup -q -n flashrom-%{version} 

%build
make %{?jobs:-j%jobs} \
        CFLAGS="$RPM_OPT_FLAGS" \
        CONFIG_DEDIPROG=yes
gzip flashrom.8

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 0755 flashrom $RPM_BUILD_ROOT/%{_sbindir}
install -m 0644 flashrom.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%doc README
%{_sbindir}/flashrom
%{_mandir}/man8/flashrom.8.gz

%changelog
* Wed Aug  3 2011 cs@linux-administrator.com
- update to 0.9.4
  Sa 9. Apr 22:03:25 CEST 2011 - cs@linux-administrator.com
- update to 0.9.3 r1285.
  So 6. Feb 13:59:10 CET 2011 - cs@linux-administrator.com
- update to 0.9.3 r1260.
* Thu Dec  9 2010 stepan@coresystems.de
- update to 0.9.3 r1246.
- split package into coreboot-utils and flashrom
- add update-snapshots script
* Wed Sep  2 2009 kernel01@hailfinger.org
- Update flashrom to from 0.9.1-rc1 to 0.9.1
  * Bug fixes and documentation fixes only
- Update nvramtool to r4625
  * Fix HIGH_TABLES
  * Install manpage in section 8 instead of section 1
* Mon Aug 24 2009 kernel01@hailfinger.org
- Update flashrom description
- Add nvramtool description
- Use RPM_OPT_FLAGS, drop custom CFLAGS/LDFLAGS
- Install nvramtool in sbin because it's only usable as root
* Tue Aug 18 2009 kernel01@hailfinger.org
- Update flashrom to version 0.9.1-rc1
  * Support for more external flashers
  * Universal external flasher protocol
  * Automatic write/erase verification
  * Dozens of added flash chips, chipsets, mainboards
  * No root privileges needed for most external flashers
  * Improved more verbose user interface
  * Speedups: Fast bus type dependent probing, 100x faster write for
  some chips
  * Reliability fixes for buggy hardware, corner case spec
  conformance
* Mon Jun 22 2009 trenn@suse.de
- Update coreboot-utils to version 0.9.0
* Thu Jan  8 2009 bbrunner@suse.de
- update nvramtool to svn release r3852
- update flashrom to svn release r3852
* Wed Oct 15 2008 bwalle@suse.de
- update nvramtool to svn release r3613
- update flashrom to svn release r3659
* Wed Aug 13 2008 ro@suse.de
- add ExclusiveArch
* Mon Mar 17 2008 bwalle@suse.de
- rename lxbios to nvramtool
- update nvramtool to svn release r3124
- update flashrom to svn release r3153
* Sat Jan 19 2008 bwalle@suse.de
- update to svn release r3061
  o Support SPI flash chips bigger than 512 kByte sitting behind
    IT8716F Super I/O performing LPC-to-SPI flash translation.
  o Enable MX25L8005 support in flashrom.
  o Minor changes.
- add lxbios utility
* Thu Jan 10 2008 bwalle@suse.de
- initial package
